Bug 812067 - Treats "\x26" as "&"
Treats "\x26" as "&"
Product: Fedora
Classification: Fedora
Component: sed (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Martin Bříza
Fedora Extras Quality Assurance
Depends On:
Blocks: 807446
  Show dependency treegraph
Reported: 2012-04-12 12:55 EDT by Tim Waugh
Modified: 2012-06-22 04:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-19 11:08:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2012-04-12 12:55:31 EDT
Description of problem:
This command gives unexpected output:

echo 12 | sed -e "s/\x31\x32/\x33\x26/g"

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.echo 12 | sed -e "s/\x31\x32/\x33\x26/g"
Actual results:


Expected results:


for comparision with:

$ echo 12 | sed -e "s/\x31\x32/\x33\x34/g"

Additional info:
The documentation says that "&" is treated as the matched string, and that \xXX is treated as the ASCII character given by the hex digits.
Comment 1 Paolo Bonzini 2012-04-23 11:58:27 EDT
Fixed by upstream commit 0f968ceb7bc1a65773979ef419872ce43677c790.
Comment 2 Martin Bříza 2012-06-06 09:20:02 EDT
The component has changed its owner to me, so I'm assigning the bug to myself.
Comment 3 Fedora Update System 2012-06-13 04:50:39 EDT
sed-4.2.1-9.fc17 has been submitted as an update for Fedora 17.
Comment 4 Martin Bříza 2012-06-13 04:57:32 EDT

I'm submitting the updates for f16 and up right now, fixing this issue. The builds with this issue fixed will be sed-4.2.1-8.fc16, sed-4.2.1-9.fc17 and sed-4.2.1-9.fc18.

Thank you, Tim, for reporting. And you, Paolo, for fixing the bug and pointing me to the commit.
Comment 5 Fedora Update System 2012-06-13 04:59:15 EDT
sed-4.2.1-8.fc16 has been submitted as an update for Fedora 16.
Comment 6 Brianna 2012-06-13 10:26:35 EDT
This bug seems to have be the cause of my printing issues in Bug #807446.   I have updated to the latest version of sed (sed-4.2.1-8.fc16.x86_64) and so far printing seems to be working as expected. 

Thanks everyone for your hard work!
Comment 7 Fedora Update System 2012-06-14 20:23:44 EDT
Package sed-4.2.1-8.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sed-4.2.1-8.fc16'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-06-19 11:08:26 EDT
sed-4.2.1-8.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-06-22 04:29:25 EDT
sed-4.2.1-9.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.